## rosegarden 2.1pl3

=== editor/src/Makefile ===
# Makefile for the Musical Notation Editor
#
# Chris Cannam, February 1995


# # These three should have been exported from the superior make
#
# ROSEGARDEN	= /usr/people/cannam/rosegarden
# SYSINCDIRS	= -I/usr/include -I/usr/include/X11 -I/usr/include/X11/Xaw -I/usr/include/X11/bitmaps
# DEFINES		= -DFUNCPROTO -DHAVE_SPECIALIST_MALLOC_LIBRARY

INTERLOCK	= $(ROSEGARDEN)/interlock
REGEXP		= $(ROSEGARDEN)/regexp
YAWN		= $(ROSEGARDEN)/yawn
LISTS		= $(ROSEGARDEN)/lists
MIDI		= $(ROSEGARDEN)/midi
COMMON		= $(ROSEGARDEN)/common

INCDIRS		= $(SYSINCDIRS) -I$(ROSEGARDEN)/include -I$(COMMON)/bitmaps

SYSLIBS		= -lXaw -lXext -lXmu -lXt -lX11
LIBS		= -lY -lLists -lMidi -lInterlock -lRegexp $(SYSLIBS) $(SYSEXTRALIBS)
LDFLAGS		= $(SYSLDFLAGS) -L$(INTERLOCK)/lib -L$(YAWN)/lib -L$(LISTS)/lib -L$(MIDI)/lib -L$(REGEXP)/lib $(LIBS) 

CFLAGS		= $(INCDIRS) $(DEFINES) $(OPTFLAGS)

TARGET		= $(ROSEGARDEN)/bin/editor
OBJECTS		= Constructors.o Dechord.o DrawElements.o DrawGroups.o \
		DrawMTElements.o DrawMTGroups.o DrawMTStave.o \
		DrawOTElements.o DrawOTGroups.o DrawOTStave.o DrawPMX.o \
		Equation.o Filter.o Format.o GC.o IO.o ItemList.o MTime.o \
		Main.o Marks.o Menu.o MenuBar.o MenuChord.o MenuEdit.o \
		MenuFile.o MenuGroup.o MenuMarks.o MenuStave.o MenuText.o \
		MenuTools.o Methods.o MidiIn.o MidiOut.o Palette.o Rechord.o \
		Spline.o Stave.o StaveCursor.o StaveEdit.o Undo.o Visuals.o \
		Widgets.o

$(TARGET):	$(OBJECTS)
		rm -f $(TARGET)
		$(CC) -o $(TARGET) $(OBJECTS) $(LDFLAGS)

.c.o:
		$(CC) -c $(CFLAGS) $<

clean:
		rm -f $(OBJECTS)

depend:		
		$(MAKEDEPEND) -- $(CFLAGS) -- *.c
