=== petal/petaleditor/Makefile ===
all : pkgIndex.tcl

pkgIndex.tcl : PetalEditor.tcl
	@echo "The error message for PetalEditor.tcl is normal"
	echo "pkg_mkIndex . PetalEditor.tcl" | tclsh
