=== petal/petalmidi/Makefile ===
all : pkgIndex.tcl

pkgIndex.tcl : PetalMidi.tcl
	@echo "The error message for PetalMidi.tcl is normal"
	echo "pkg_mkIndex . PetalMidi.tcl" | tclsh
