## rosegarden 2.1pl4-2

=== debian/changelog ===
rosegarden (2.1pl4-2) unstable; urgency=low

  * Fixed Priority field in debian/control. It should have been set
    to extra, as it was before making the dummy package.
  * Set Architecture field in debian/control to All. This package is now
    architecture independent.
	
 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 14 Aug 2004 14:39:52 -0400

rosegarden (2.1pl4-1) unstable; urgency=low

  * The package for rosegarden 2.1 has been renamed to "rosegarden2"
    "rosegarden" is now a dummy package depending on "rosegarden2". In
    future Debian releases "rosegarden" will be the Debian package
    holding Rosegarden version 4, now in package "rosegarden4".

 -- Enrique Robledo Arnuncio <era@debian.org>  Fri, 13 Aug 2004 20:10:58 -0400

rosegarden (2.1pl3-1) unstable; urgency=low

  * New upstream version.
  * Fixed the do-install script to honor the nostrip flag
    in DEB_BUILD_OPTIONS.
  * Rosegarden is now linked against the xaw3d library. Closes: #104562.
  * The old potato package names have been removed from Build-Depends.
  * Updated the Rosegarden home page URL in the package description
    and the download address in the copyright file.
  * Autoconf is now invoked at configuration time. Added its build
    dependency. Autoconf generated files are removed at cleanup.
  * Updated the standards version.
  * Fixed Version.h version numbers (upstream forgot to update them).
  * Increased DH_COMPAT level to have the defaults file automatically
    marked as conffile by debhelper
  * Removed the INSTALL file from the doc directory.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sun, 21 Oct 2001 13:49:40 +0200

rosegarden (2.1pl2-5) unstable; urgency=low

  * Fixed configure and configure.in. They now can find Xaw all right.
  * Added -lXpm flag to the compile flags in the Makefiles, because
    Xaw functions may depend on Xpm. This might have been avoiding
    compilation for m68k.
  * Recompiled with new libxaw version. It now displays help text
    correctly.

 -- Enrique Robledo Arnuncio <era@debian.org>  Sat, 10 Mar 2001 19:47:09 +0100

rosegarden (2.1pl2-4) unstable; urgency=low

  * Moved all the files from /usr/X11R6 to /usr.
  * Architecture-independent files moved to /usr/share/rosegarden.
  * Added menu hints.

 -- Enrique Robledo Arnuncio <era@debian.org>  Wed, 7 Feb 2001 17:52:27 +0100

rosegarden (2.1pl2-3) unstable; urgency=low

  * Moved app defaults to etc/X11/app-defaults. closes: #77907
  * Updated maintainer mail address.
  * Updated upstream information in README.Debian.
  * New standards version.
  * Added shlibs.local to avoid forcing the libxaw6 package.

 -- Enrique Robledo Arnuncio <era@debian.org>  Mon, 27 Nov 2000 17:21:37 +0100

rosegarden (2.1pl2-2) unstable; urgency=low

  * New maintainer.

 -- Enrique Robledo Arnuncio <erobledo@ieee.org>  Fri, 16 Jun 2000 12:46:32 +0200

rosegarden (2.1pl2-1) unstable; urgency=low

  * New upstream release.
  * Removed lots of cruft from the Debian diff.
  * debian/rules [clean]: Call dh_clean.
  * debian/rules [clean]: Don't remove include/.
  * debian/rules [clean]: Rename all Makefile.dist files
    to Makefile.  This fixes a lot of cruft buildup in
    the Debian diff.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 21 Nov 1999 11:47:52 +0200

rosegarden (2.1-6) unstable; urgency=low

  * configure.in: Disable petal to get rid of tclmidi dependency
    at the request of tclmidi maintainer
  * debian/control [Depends]: Remove tclmidi.
  * debian/control [Standards-Version]: 3.1.1
  * debian/copyright: Added GPL path.
  * debian/control [Build-Depends]: Added.
  * do-install: Don't install pedal.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 21 Nov 1999 10:24:00 +0200

rosegarden (2.1-5) unstable; urgency=low

  * New maintainer.
  * Upload with source, closes: #48631.
  * Bugs fixed by previous uploads, closes: #16105.
  * Don't explicitly mention the manpage on the command line of dh_compress.
  * Delete include/ on clean

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  4 Nov 1999 23:37:45 +0200

rosegarden (2.1-4) unstable; urgency=low

  * Moved to debhelper.
  * Fixed Bug#16105: Changelogs should now be compressed.
  * Added manpage.
  * Moved examples to /usr/doc/rosegarden/examples

 -- Will Lowe <lowe@debian.org>  Fri, 19 Mar 1999 18:28:46 -0500
  

rosegarden (2.1-3) unstable; urgency=low

  * Fixed dependencies: Now depends on xlib6g instead of xlib6 AND xlib6g.
  * Changed all maintainer references from harpo@udel.edu to lowe@debian.org.
  * Fixed Bug#16106: rosegarden: no menu file.

 -- Will Lowe <lowe@debian.org>  Sat, 20 Dec 1997 13:28:42 -0500

rosegarden (2.1-2) unstable; urgency=low

  * Cosmetic change:  Fixed description in control file.

 -- Will Lowe <lowe@debian.org>  Sun,  9 Nov 1997 18:44:58 -0500

rosegarden (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Will Lowe <lowe@debian.org>  Fri, 31 Oct 1997 08:58:09 -0500

Local variables:
mode: debian-changelog
End:
