=== debian/control ===
Source: rosegarden
Section: sound
Priority: extra
Maintainer: Enrique Robledo Arnuncio <era@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: rosegarden
Architecture: all
Depends: rosegarden2 (>= 2.1pl4)
Description:  An integrated MIDI sequencer and musical notation editor
 Rosegarden 2 (X11 Rosegarden) is a free integrated musical notation
 editor and MIDI sequencer for Unix/X platforms, with specific support
 for Linux PCs and SGI IRIX workstations.
 .
 Rosegarden 2 is a very old applicaton no longer in development. You
 will probably want to use its reincarnation, Rosegarden 4, which is
 being developed as a KDE/Qt application. A beta version is available
 in the rosegarden4 Debian package. See the Rosegarden Web page at
 http://www.rosegardenmusic.com/ for more information.
 .
 This is a dummy package for a future package name transition. You
 can safely uninstall/purge it.
