## rosegarden 10.02

=== debian/changelog ===
rosegarden (1:10.02-0ubuntu5) maverick; urgency=low

  * No change rebuild for jack transition

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 22 Jul 2010 15:40:36 -0500

rosegarden (1:10.02-0ubuntu4) maverick; urgency=low

  * Add patch to fix FTBFS due to the landing of new QT libs.
  * Bump Standards.
  * Wrap long lines.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Jul 2010 10:01:52 +0200

rosegarden (1:10.02-0ubuntu3) maverick; urgency=low

  * No-change rebuild for JACK2 transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 21 Jul 2010 13:00:08 +0200

rosegarden (1:10.02-0ubuntu2) lucid; urgency=low

  * Add debian/patches/menu-fix.patch to fix the file menu (LP: #524218).
    Thanks to SevenMachines!

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 20 Feb 2010 18:55:18 +0100

rosegarden (1:10.02-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Remove build-dependency on kdelibs5-dev (Rosegarden no longer uses KDE)
    - Remove build-dependency on cmake; no longer used
    - Add build-depends on libqt4-dev, libsm-dev, libsndfile1-dev,
      libsamplerate0-dev, and xutils-dev
    - Remove debian/patches, all patches either merged or irrelevant. Also
      remove dpatch build-depend
    - Update .install files for new upstream release
    - Remove manpages for now-nonexistant binaries
    - Remove debian/x-rosegarden.desktop, upstream seems to support this now
    - Remove konqueror as an optional depend for rosegarden, any www-browser
      will do, and Konqueror has no significance now that Rosegarden doesn't
      use KDE for launching the browser
    Fixes LP: #521706
  * Switch packaging to dh short rules:
    - Bump debhelper version to 7.3.16
    - Bump compat to 7
    - Add manpages file for the rosegarden manpage
  * Switch to source format 3.0 (quilt)
  * Bump Standards-Version to 3.8.4
  * Add dependency on samplerate-programs (LP: #360812)
  * Recommend timidity. Don't worry, you can opt to not install it by passing
    --no-install-recommends to apt while installing rosegarden (LP: #308303)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 16 Feb 2010 20:51:59 -0500

rosegarden (1:1.7.3-1ubuntu2) lucid; urgency=low

  * debian/control: changed build dependency on liblo0-dev to liblo-dev
    because of liblo0ldbl -> liblo7 transition (LP: #517416)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 05 Feb 2010 19:51:13 +0000

rosegarden (1:1.7.3-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Drop depends on kdebase-bin since it isn't actually required, is now
      KDE4, and rosegarden is KDE3, and unnecessarily drags in half of KDE4
      for non-KDE users
    - debian/rosegarden-data.install:
      + Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
        help documentation.
    - debian/control:
      + Build-Depends on libfftw3-dev instead of fftw3-dev.
      + Suggest khelpcenter4 instead of recommend khelpcenter.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Apr 2009 00:07:13 -0400

rosegarden (1:1.7.3-1) unstable; urgency=low

  * New Upstream Version

 -- Mike O'Connor <stew@debian.org>  Tue, 24 Feb 2009 07:53:26 -0500

rosegarden (1:1.7.2-2ubuntu2) jaunty; urgency=low

  * Drop depends on kdebase-bin since it isn't actually require, is now KDE4,
    and rosegarden is KDE3, and unnecessarily drags in half of KDE4 for
    non-KDE users (LP: #278062)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Feb 2009 06:35:29 -0500

rosegarden (1:1.7.2-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable (LP: #321364), Ubuntu remaining changes:
    - debian/rosegarden-data.install:
      + Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
        help documentation.
    - debian/control:
      + Build-Depends on libfftw3-dev instead of fftw3-dev.
      + Use khelpcenter4 instead of khelpcenter.
  * Move khelpcenter4 from Recommends to Suggests (LP: #321361).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 28 Jan 2009 08:11:17 +0100

rosegarden (1:1.7.2-2) unstable; urgency=low

  * fix debian/rules so build-arch doesn't build arch-indep package and
    vice-versa
  * change permissions in debian/rules from 664 to 644 (thanks: Stuart 
    Prescott)
  * change x-www-browser to sensible-browser (thanks: Stuart Prescott)
  * Add extra includes required by gcc 4.4 (thanks: Martin Michlmayr) 
    (Closes: #504893)
  * switch watchfile to use new sf.net redirector
	
 -- Mike O'Connor <stew@debian.org>  Thu, 15 Jan 2009 16:33:03 -0500

rosegarden (1:1.7.2-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313399
    - Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev
    - Recommend khelpcenter4 instead of khelpcenter.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 03 Jan 2009 13:33:41 +0530

rosegarden (1:1.7.2-1) unstable; urgency=low

  * New upstream release
  * update Standards-Version to 3.8.0 (no changes required)

 -- Mike O'Connor <stew@debian.org>  Wed, 31 Dec 2008 11:52:51 -0500

rosegarden (1:1.7.1-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add usr/share/doc/kde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev.
    - Recommend khelpcenter4 instead of khelpcenter.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 20 Nov 2008 06:08:19 +1100

rosegarden (1:1.7.1-1) unstable; urgency=low

  * New upstream release
  * Moved khelpcenter from Depends to Recommends (Closes: #493450)
  * Added x-terminal-emulator as alternative dependency to xterm (Closes: #493913)

 -- Free Ekanayaka <freee@debian.org>  Sat, 30 Aug 2008 07:37:05 +0100

rosegarden (1:1.7.0-1ubuntu3) intrepid; urgency=low

  * debian/rules: Depend on khelpcenter4 instead of the obsolete
    khelpcenter.


