=== debian/control ===
Source: rosegarden
Section: sound
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 7.3.16),
 libqt4-dev,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 ladspa-sdk,
 liblrdf0-dev,
 liblircclient-dev,
 dssi-dev (>= 0.4),
 liblo-dev,
 libxft-dev,
 libfftw3-dev,
 libsm-dev,
 libsndfile1-dev,
 libsamplerate0-dev,
 xutils-dev
Standards-Version: 3.9.0
Homepage: http://www.rosegardenmusic.com/
Vcs-Svn: svn://svn.debian.org/demudi/rosegarden/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/demudi/rosegarden/op=log

Package: rosegarden
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 rosegarden-data (= ${source:Version}),
 libxml-twig-perl,
 sndfile-programs,
 samplerate-programs,
 xterm | x-terminal-emulator,
 www-browser,
 flac
Replaces: rosegarden4,rosegarden2
Provides: rosegarden4,rosegarden2
Conflicts: rosegarden4 (<< 1:1.2.3), rosegarden2 (<< 1:1.2.3)
Recommends: jackd,
 lilypond,
 swh-plugins | ladspa-plugin
Suggests: qjackctl,
 khelpcenter4
Description: music editor and MIDI/audio sequencer
 Rosegarden is a KDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: rosegarden
Priority: optional
Conflicts: rosegarden4 (<< 1:1.2.3), rosegarden2 (<< 1:1.2.3)
Description: music editor and MIDI/audio sequencer data files
 Rosegarden is a KDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden
