=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
	#No tests, so override with nothing
%:
	dh $@
