=== debian/watch ===
version=3

# Pattern
http://sf.net/rosegarden/rosegarden-(1.+)\.tar\.bz2 debian uupdate
