## rosegarden 10.04.2

=== debian/changelog ===
rosegarden (1:10.04.2-1) unstable; urgency=low

  [ Stuart Prescott ]
  * New upstream version 10.04 (Closes: #573802, #565071, #567797)
    - rosegardensequencer no longer exists (Closes: #510661, #492871, #490673)
  * Change build system to dh7 and 3.0 (quilt)
  * Drop all existing Debian patches (no longer required)
  * Update packaging for new upstream version
  * Update manpage for new upstream version
  * Patch clean target of Makefile to clean all autogenerated files
  * Explicitly link against libz, libdl and libX11 (Closes: #556326)
  * Switch maintainer to pkg-multimedia
  * Add myself as an uploader
  * Bump standards-version to 3.8.4 (no changes required)

  [ Mike O'Connor ]
  * remove myself from uploaders

 -- Mike O'Connor <stew@debian.org>  Wed, 12 May 2010 21:02:42 -0400

rosegarden (1:1.7.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Move to liblo-dev instead of versioned liblo0-dev
    build-dep. (Closes: #530852)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Tue, 09 Mar 2010 13:36:08 +0100
