=== debian/control ===
Source: rosegarden
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Stuart Prescott <stuart+debian@nanonanonano.net>
Build-Depends: debhelper (>= 7.0.50~),
               automake,
               pkg-config,
               xutils-dev,
               libx11-dev,
               libsm-dev,
               libqt4-dev,
               libasound2-dev (>= 1.0.0),
               libjack-dev,
               ladspa-sdk,
               liblrdf0-dev,
               liblircclient-dev,
               dssi-dev (>= 0.4),
               liblo-dev,
               fftw3-dev,
               libsndfile1-dev,
               libsamplerate-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/
Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git

Package: rosegarden
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libxml-twig-perl,
         sndfile-programs,
         flac
Replaces: rosegarden4,
          rosegarden2,
          rosegarden-data
Provides: rosegarden4,
          rosegarden2
Conflicts: rosegarden4 (<< 1:1.2.3),
           rosegarden2 (<< 1:1.2.3),
           rosegarden-data
Recommends: jackd,
            lilypond,
            ghostscript,
            okular | pdf-viewer,
            cups-bsd | lpr,
            swh-plugins | ladspa-plugin,
            konqueror | www-browser
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
