=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
ARCH=$(DEB_BUILD_ARCH)

ifeq ($(ARCH),alpha)
CXXFLAGS+=-O0 -mieee
else
CXXFLAGS+=-O2
endif

# DEBUGGING FLAGS.
# CXXFLAGS+=-g3 -gstabs+ -fexceptions
# DEB_BUILD_OPTIONS+=nostrip
# export CXXFLAGS
# export DEB_BUILD_OPTIONS

###

%:
	dh $@

override_dh_auto_configure:
	sh ./bootstrap.sh
	dh_auto_configure

override_dh_auto_test:

.PHONY: override_dh_auto_test override_dh_auto_configure
