## rosegarden 10.10

=== debian/changelog ===
rosegarden (1:10.10-1) experimental; urgency=low

  [ Alessio Treglia ]
  * New upstream release (Closes: #602369).
  * Add git-buildpackage config file.
  * Refresh patches.
  * debian/control:
    - Set priority to optional.
    - Wrap long lines.
    - Don't Replace/Provide/Conflict on rosegarden{2,4} as they are no
      longer available in the archive.
    - Bump Standards.
  * debian/rules:
    - Don't touch autom4te.cache directory, it's provided by upstream.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Tue, 23 Nov 2010 17:17:02 +0100
