=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 %:
 	dh $@
 
+override_dh_clean:
+	dh_clean -Xautom4te.cache
+
 override_dh_auto_configure:
 	sh ./bootstrap.sh
 	dh_auto_configure
