## rosegarden 11.06

=== debian/changelog ===
rosegarden (1:11.06-1) unstable; urgency=low

  * New upstream release:
    - Bugfixes:
      + A commonly-used time entry widget has been worked over to improve
        its functionality, and solve some usability problems.
      + Fixed undo after copying/pasting a range
      + When adding marks to a selection that includes a mixture of notes
        and rests, avoid applying meaningless marks to the rests
      + Insert Range now preserves the loop/range
      + Fixed a nasty LilyPond export bug that was causing problems with
        human performances where the notes had a physical start time that
        significantly preceded the bar line
    - New features:
      + Expose the instrument alias to external plugin GUIs so that plugins
        are easier to identify in applications like FLAM
      + Export LilyPond code using any of LilyPond's supported languages

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 00:57:37 +0200

rosegarden (1:11.02-2) unstable; urgency=low

  * Add -DBG package.
  * debian/rules:
    - Tune dh_strip to move the debugging symbols into rosegarden-dbg.
    - Also remove PHONY line, no longer needed.
    - Enable parallel builds.
    - Pass --enable-debug to the configure script.
  * Strip incorrect MIME types out of the desktop file (Closes: #592143).
    - Rosegarden is proposed as application to handle ogg,mp3,flac and wav
      files but it's not able to open them as expected.
  * Remove lintian-overrides, it is not needed anymore:
    - Add XPM icon.
    - Fix menu file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 May 2011 12:30:35 +0200

rosegarden (1:11.02-1) unstable; urgency=low

  * New upstream bugfix release "Claire de Lune":
    - Track numbers are no longer cut off.
    - The notation and matrix editors now treat a series of tied
      notes as though it were a single unit, which fixes several
      problems that have been outstanding since as far back as 2002.
    - Resizing a segment via click and drag near the edge or with
      the resize tool now leaves that segment as the selected
      segment.
    - When attempting to select a note by clicking toward the
      extreme edges of the note head, it is less likely that you
      will move the note instead of merely selecting it.
    - Insertion / Playback pointer correctly advances in Notation
      editor when entered notes are split and tied.
    - Progress dialogs tweaked to fine tune their behavior
    - Alt+PgUp and Alt+PgDown now highlight the events in a
      segment in Notation view consistently
    - New features:
      + The matrix editor represents tied notes with a different
        fill pattern.
      + The split-and-tie long notes option has been made the
        factory default once more, in light of the vastly improved
        handling of ties in the matrix and notation editors.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 10:13:10 +0100

rosegarden (1:10.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Feb 2011 13:49:40 +0100
