=== debian/rules ===
--- 
+++ 
@@ -21,16 +21,16 @@
 ###
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_clean:
 	dh_clean -Xautom4te.cache
 
 override_dh_auto_configure:
 	sh ./bootstrap.sh
-	dh_auto_configure
+	dh_auto_configure -- --enable-debug
 
 override_dh_auto_test:
 
-.PHONY: override_dh_auto_test override_dh_auto_configure
-
+override_dh_strip:
+	dh_strip --dbg-package=rosegarden-dbg
