## rosegarden 11.11.11

=== debian/changelog ===
rosegarden (1:11.11.11-1) unstable; urgency=low

  * New upstream release.
  * Add GenericEntries to the desktop file (Closes: #640991)

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 00:39:23 +0100
