=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
- Stuart Prescott <stuart+debian@nanonanonano.net>
+ Stuart Prescott <stuart+debian@nanonanonano.net>,
+ Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  automake,
  pkg-config,
@@ -21,7 +22,7 @@
  fftw3-dev,
  libsndfile1-dev,
  libsamplerate-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.rosegardenmusic.com/
 Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git
@@ -48,3 +49,17 @@
  sequencer (for playback and recording), a multi-track editor, music
  editing using both piano-roll and score notation, MIDI file IO,
  lilypond and Csound files export, etc.
+
+Package: rosegarden-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: rosegarden (= ${binary:Version}),
+ ${misc:Depends}
+Description: Debugging symbols for Rosegarden
+ Rosegarden is a Qt application which provides a mixed Audio/MIDI
+ sequencer (for playback and recording), a multi-track editor, music
+ editing using both piano-roll and score notation, MIDI file IO,
+ lilypond and Csound files export, etc.
+ .
+ This package provides the debugging symbols.
