## rosegarden 11.11.42

=== debian/changelog ===
rosegarden (1:11.11.42-1ubuntu1.1) precise-proposed; urgency=low

  * Avoid hanging on when importing/recording MIDI. (LP: #1019400)
    In some situations a MIDI event could be unsplittable, so add a check
    to make sure the notation duration is truncated to the event duration
    to prevent entering an endless loop.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 10 Sep 2012 14:07:36 +0200

rosegarden (1:11.11.42-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913421).  Remaining changes:
    - add --with-qtlibdir at override_dh_auto_configure to fix
      FTBFS with multiarch, thanks to Andreas Moog.

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 08 Jan 2012 16:23:28 +0100

rosegarden (1:11.11.42-1) unstable; urgency=low

  * New upstream release.
  * debian/*: Wrap and sort.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Dec 2011 10:17:06 +0100

rosegarden (1:11.11.11-1ubuntu2) precise; urgency=low

  * debian/rules:
    - add --with-qtlibdir at override_dh_auto_configure to fix
      FTBFS with multiarch, thanks to Andreas Moog.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 16 Dec 2011 18:30:35 +0100

rosegarden (1:11.11.11-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #905015).
  * Drop changes:
    - Fixed configure for multi-arch (LP: #832832), FTBFS with armel.
  * Imported fix-multiarch-build.patch from upstream to corretly fix
    FTBFS with multiarch, thanks to Andreas Moog.
 -- Leo Iannacone <l3on@ubuntu.com>   Fri, 16 Dec 2011 16:22:19 +0100

rosegarden (1:11.06-1ubuntu1) oneiric; urgency=low

  * Fixed configure for multi-arch (LP: #832832).

 -- Stephen M. Webb <stephen@ubuntu.com>  Mon, 12 Sep 2011 14:02:05 -0400
