=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart+debian@nanonanonano.net>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 automake,
 dssi-dev (>= 0.4),
 fftw3-dev,
 ladspa-sdk,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 liblircclient-dev,
 liblo-dev,
 liblrdf0-dev,
 libqt4-dev,
 libsamplerate-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 pkg-config,
 xutils-dev
Standards-Version: 3.9.2
Homepage: http://www.rosegardenmusic.com/
Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git

Package: rosegarden
Architecture: any
Depends:
 flac,
 libxml-twig-perl,
 sndfile-programs,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 rosegarden-data
Conflicts:
 rosegarden-data
Recommends:
 cups-bsd | lpr,
 ghostscript,
 jackd,
 konqueror | www-browser,
 lilypond,
 okular | pdf-viewer,
 swh-plugins | ladspa-plugin
Suggests:
 qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 rosegarden (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Rosegarden
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the debugging symbols.
