=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 override_dh_auto_configure:
 	sh ./bootstrap.sh
-	dh_auto_configure -- --enable-debug
+	dh_auto_configure -- --enable-debug --with-qtlibdir=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 override_dh_auto_test:
