## rosegarden 12.04

=== debian/changelog ===
rosegarden (1:12.04-1) unstable; urgency=low

  * New upstream release:
    - Fix build failure with GCC 4.7 (Closes: #667359)
    - Add German translation of rosegarden.desktop's Comment field.
      Thanks to Ronny Standtke for the patch. (Closes: #667622)
  * Build with Qt4's multiarchified new release (Closes: #655098)
  * Recommend wavpack. (Closes: #663450)
  * Add awesfx on Suggests. (LP: #776077)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 13 May 2012 23:49:40 +0200
