=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>,
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart+debian@nanonanonano.net>,
  Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
  automake,
+ debhelper (>= 7.0.50~),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -23,7 +24,7 @@
  libx11-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.rosegardenmusic.com/
 Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git
@@ -47,8 +48,10 @@
  konqueror | www-browser,
  lilypond,
  okular | pdf-viewer,
- swh-plugins | ladspa-plugin
+ swh-plugins | ladspa-plugin,
+ wavpack
 Suggests:
+ awesfx,
  qjackctl
 Description: music editor and MIDI/audio sequencer
  Rosegarden is a Qt application which provides a mixed Audio/MIDI
