## rosegarden 12.12.25

=== debian/changelog ===
rosegarden (1:12.12.25-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Dec 2012 19:36:07 +0000
