## rosegarden 13.04

=== debian/changelog ===
rosegarden (1:13.04-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 01:13:06 +0100
