=== debian/control ===
--- 
+++ 
@@ -24,10 +24,10 @@
  libx11-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.rosegardenmusic.com/
-Vcs-Git: git://git.debian.org/pkg-multimedia/rosegarden.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/rosegarden.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git
 
 Package: rosegarden
 Architecture: any
