## rosegarden 13.06

=== debian/changelog ===
rosegarden (1:13.06-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Aug 2013 16:06:51 +0100
