=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Stuart Prescott <stuart+debian@nanonanonano.net>,
- Alessio Treglia <alessio@debian.org>
+ Stuart Prescott <stuart+debian@nanonanonano.net>
 Build-Depends:
  automake,
  debhelper (>= 7.0.50~),
