=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
 ARCH=$(DEB_BUILD_ARCH)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(ARCH),alpha)
 CXXFLAGS+=-O0 -mieee
@@ -28,7 +29,9 @@
 
 override_dh_auto_configure:
 	sh ./bootstrap.sh
-	dh_auto_configure -- --enable-debug --with-qtlibdir=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		--enable-debug \
+		--with-qtlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_test:
