=== debian/watch ===
version=3

http://sf.net/rosegarden/rosegarden-(1.+)\.tar\.bz2
